%define name    qmidictl
%define version 0.2.0
%define release 6

%define _prefix	/usr

Summary:	A MIDI Remote Controller via UDP/IP Multicast
Name: qmidictl
Version: 0.2.0
Release: 6.rncbc.suse132
License:	GPL-2.0+
Group:		Productivity/Multimedia/Sound/Midi
Source0:	%{name}-%{version}.tar.gz
URL:		http://qmidictl.sourceforge.net/
#Packager:	rncbc.org

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libqt4-devel >= 4.4

%description
QmidiCtl is a MIDI remote controller application that sends MIDI data
over the network, using UDP/IP multicast. Inspired by multimidicast
(http://llg.cubic.org/tools) and designed to be compatible with ipMIDI
for Windows (http://nerds.de).

%prep
%setup
[ -f Makefile.git ] && %__make -f Makefile.git

%build
%configure
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
#dir %{_datadir}/applications
%dir %{_datadir}/applications/hildon
%dir %{_datadir}/icons/hicolor
%dir %{_datadir}/icons/hicolor/26x26
%dir %{_datadir}/icons/hicolor/26x26/hildon
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/hildon
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/hildon
%dir %{_datadir}/icons/hicolor/64x64
%dir %{_datadir}/icons/hicolor/64x64/hildon
%dir %{_datadir}/appdata
#dir %{_datadir}/man
#dir %{_datadir}/man/man1
%{_bindir}/%{name}
%{_datadir}/applications/hildon/%{name}.desktop
%{_datadir}/icons/hicolor/26x26/hildon/%{name}.png
%{_datadir}/icons/hicolor/32x32/hildon/%{name}.png
%{_datadir}/icons/hicolor/48x48/hildon/%{name}.png
%{_datadir}/icons/hicolor/64x64/hildon/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/man/man1/%{name}.1.gz

%changelog
* Mon Mar 23 2015 Rui Nuno Capela <rncbc@rncbc.org> 0.2.0
- Pre-LAC2015 pre-season release.
* Tue Dec 31 2013 Rui Nuno Capela <rncbc@rncbc.org> 0.1.1
- A fifth of a Jubilee release.
* Fri Sep  3 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.1.0
- Second public release.
* Tue May 24 2010 Rui Nuno Capela <rncbc@rncbc.org>
- Standard desktop icon fixing (Fremantle/Hildon).
* Mon Apr 26 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.0.9
- MIDI controller assignment configuration debut.
* Thu Mar 11 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.0.1
- Attempt to comply with maemo.org extras-testing promotion.
* Fri Mar  7 2010 Rui Nuno Capela <rncbc@rncbc.org> 0.0.1
- Created initial qmidictl.spec
